VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ObjCVariable< T > Struct Template Reference

`#include <objcclassbuilder.h>`

## Public Member Functions
| ObjCVariable (__unsafe_unretained id obj, Ivar ivar)
| ObjCVariable (ObjCVariable &&o)
ObjCVariable & | operator= (ObjCVariable &&o)
T | get () const
void | set (const T &value)

## Constructor & Destructor Documentation

## ◆ ObjCVariable() [1/2]

template<typename T>

ObjCVariable | ( | __unsafe_unretained id | obj,
|  | Ivar | ivar )
| inline

## ◆ ObjCVariable() [2/2]

template<typename T>

ObjCVariable | ( | ObjCVariable< T > && | o | ) |
| inline

## Member Function Documentation

## ◆ operator=()

template<typename T>

ObjCVariable & operator= | ( | ObjCVariable< T > && | o | ) |
| inline

## ◆ get()

template<typename T>

T get | ( |  | ) | const
| inline

## ◆ set()

template<typename T>

void set | ( | const T & | value | ) |
| inline

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.